/*
 * Copyright (c) 2009 The openGion Project.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package an;

import org.opengion.fukurou.business.BizLogic_ENTRY;

/**
 * 回答依頼/回答残管理   (AN0007) の 業務ロジックです。
 * 
 * メール送信設定・状況を更新します。
 *
 * @og.rev 2010/06/18 新規作成
 * 
 * @version 5.0
 * @author Hiroki Nakamura
 * @since JDK1.6,
 */

public class AN0007A extends BizLogic_ENTRY {

	/**
	 * チェックロジックを定義します。
	 * 
	 * @return 処理が正常終了したか
	 */
	@Override
	protected boolean check() {
		return must( "CDANK,FGKOKAI" );
	}

	/**
	 * メイン処理を定義します。
	 * 
	 * @return 処理が正常終了したか
	 */
	@Override
	protected boolean logic() {
		String sql = "update AN01 set";
		if( "3".equals( var( "FGKOKAI" ) ) ) {
			sql += " KTSTAGS = '{@KTSTAGS}'";
		}
		else {
			sql += " IRAIADDRS = '{@IRAIADDRS}'";
		}

		if( "true".equals( var( "MAIL" ) ) ) {
			sql += ",IRAIMLDT = '{@CON.YMDH}'";
		}

		sql	+= ",DYUPD = '{@CON.YMDH}'"
			+ ",PGUPD = '{@CON.PGID}'"
			+ ",PGPUPD = '{@CON.PGPID}'"
			+ ",USRUPD = '{@CON.USERID}'"
			+ " where CDANK = '{@CDANK}'"
			+ " and FGJ = '1'";
		sql( sql );		

		return true;
	}
}

